### Constructor

# Gtk.Text.new_with_buffer

#### Declaration [src]

    GtkWidget*
    gtk_text_new_with_buffer (
      GtkEntryBuffer* buffer
    )

#### Description [src]

Creates a new `GtkText` with the specified text buffer.

#### Parameters

`buffer` | `GtkEntryBuffer`
| The buffer to use for the new `GtkText`.
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkText`
Ownership is not transferred to the caller